Bug 5242 (int-141120)

Summary: Remove Hildon 0.x conditional code
Product: [Maemo Official Applications] Email Reporter: Javier Jardón <javierjc1982>
Component: GeneralAssignee: unassigned <nobody>
Status: CLOSED FIXED QA Contact: modest-bugs
Severity: normal    
Priority: Low CC: andre_klapper, svillar
Version: 5.0/(1.2009.42-11)Keywords: patch
Target Milestone: 5.0/(2.2009.51-1)   
Hardware: All   
OS: Linux   
Attachments: Remove Hildon 0.x conditional code
Remove Hildon 0.x conditional code.v2

Description Javier Jardón (reporter) 2009-09-29 18:31:36 UTC
Patch to remove Hildon 0.x conditional code because Hildon 0.x is not available 
in Diablo neither in Fremantle
Comment 1 Javier Jardón (reporter) 2009-09-29 18:33:01 UTC
Created an attachment (id=1385) [details]
Remove Hildon 0.x conditional code
Comment 2 Javier Jardón (reporter) 2009-09-29 20:00:05 UTC
Created an attachment (id=1386) [details]
Remove Hildon 0.x conditional code.v2

Removed more conditional code (inside #if MODEST_HILDON_API == 0)
Comment 3 Sergio Villar Senin 2009-11-03 14:49:46 UTC
As in other bugs I removed from the patch the parts that modify maemo/ or
gnome/ code as it's no longer in the repositories.

Committed in
master 4886696146e138d44a989aa743fb87fae034f0f6
Comment 4 Sergio Villar Senin 2009-11-03 14:56:47 UTC
Thx for the patch BTW!!!
Comment 5 Andre Klapper maemo.org 2009-11-13 15:41:47 UTC
This has been fixed in package
modest 3.1.12+0m5
which is part of the internal build version
2009.46-16
(Note that 2009 is the year and the number after is the week.)

Any public update released with or after this build version will include the
fix.
Please verify that the new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.
Comment 6 Andre Klapper maemo.org 2010-01-14 12:28:15 UTC
The problem reported here should be fixed in the update released today for
public: The Maemo5 update version 2.2009.51-1 (also called "PR1.1" sometimes).
Please leave a comment if the problem is not fixed for you in this update
version.